aboutsummaryrefslogtreecommitdiffstats
path: root/extraconfig
diff options
context:
space:
mode:
authorMatthew Flusche <mflusche@redhat.com>2017-02-27 22:11:37 +0000
committerAlex Schultz <aschultz@redhat.com>2017-04-12 18:59:47 +0000
commit037d09a07602f5a93e2104c9c17f668a3dcd0c3c (patch)
treed3779cc7c432e73202c7728618599df6aef3708b /extraconfig
parentfbc6212d97c57792978179d2a5936345e165fc41 (diff)
yum_update.sh - Use the yum parameter: check-update
The current check tends to produce a false positive causing unnecessary service restarts. yum check-update will exit with return code 100 if updated packages are available. Change-Id: I8bd89f2b24bafc6c991382b9eb484cfa9a2f8968 (cherry picked from commit 9e4375d2762f4a26e8b0b8375f9265ad6e439ea1) Closes-Bug: #1680634
Diffstat (limited to 'extraconfig')
-rwxr-xr-xextraconfig/tasks/yum_update.sh14
1 files changed, 11 insertions, 3 deletions
diff --git a/extraconfig/tasks/yum_update.sh b/extraconfig/tasks/yum_update.sh
index ad368278..20a5b658 100755
--- a/extraconfig/tasks/yum_update.sh
+++ b/extraconfig/tasks/yum_update.sh
@@ -40,9 +40,17 @@ touch "$timestamp_file"
command_arguments=${command_arguments:-}
-list_updates=$(yum list updates)
-
-if [[ "$list_updates" == "" ]]; then
+# yum check-update exits 100 if updates are available
+set +e
+check_update=$(yum check-update 2>&1)
+check_update_exit=$?
+set -e
+
+if [[ "$check_update_exit" == "1" ]]; then
+ echo "Failed to check for package updates"
+ echo "$check_update"
+ exit 1
+elif [[ "$check_update_exit" != "100" ]]; then
echo "No packages require updating"
exit 0
fi